set topo=TR
if exist \trsniff\tibmaddr.exe set det=TB
if exist \trsniff\tibmaddr.exe set name=Token-Ring-16/4
if exist \trsniff\tibmaddr.exe set dir=TRSNIFF 
set errbat=0
if exist \trsniff\tibmaddr.exe goto exit

if exist \trsniff\trmaaddr.exe set det=T1
if exist \trsniff\trmaaddr.exe set name=Token-Ring-II
if exist \trsniff\trmaaddr.exe set dir=TRSNIFF 
set errbat=0
if exist \trsniff\trmaaddr.exe goto exit

if exist \trsniff\trpcaddr.exe set det=T2
if exist \trsniff\trpcaddr.exe set name=Token-Ring-III
if exist \trsniff\trpcaddr.exe set dir=TRSNIFF 
set errbat=0
if exist \trsniff\trpcaddr.exe goto exit

if exist \trsniff\trpmaddr.exe set det=T3
if exist \trsniff\trpmaddr.exe set name=Token-Ring-IV
if exist \trsniff\trpmaddr.exe set dir=TRSNIFF 
set errbat=0
if exist \trsniff\trpmaddr.exe goto exit

set errbat=1

:exit
